* {
  box-sizing: border-box;
}

body {
  font-family: Open Sans, sans-serif;
  margin: 0;
  padding: 0;
}

.container {
  margin: 0 auto;
  max-width: 1440px;
}

.hamburger-menu {
  display: none;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0px 40px;
  background-color: #ffffff;
  font-family: Open Sans, sans-serif;
  font-size: 16px;
  color: #565656;
}

.navbar * {
  font-family: 'Open Sans', sans-serif;
  font-size: 16px;
  color: #565656;
  font-weight: 600;
}

.navbar-logo {
  display: flex;
  align-items: center;
  gap: 20px;
}

.navbar-links,
.navbar-links a {
  display: flex;
  align-items: center;
  gap: 20px;
  font: 16px/150% #000 600;
  text-decoration: none;
  color: #565656;
  font-family: 'Open Sans', sans-serif;
  font-weight: 600;
  transition: color 0.3s ease;
}

.navbar-links ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.navbar-links li {
  display: inline;
  margin-right: 20px;
  transition: transform 0.3s ease;
}

.navbar-links li:hover {
  transform: translateY(-3px);
}

.language-selector select {
  border: none;
  transition: transform 0.3s ease;
}

.language-selector select:hover {
  transform: translateY(-3px);
}

.logo {
  aspect-ratio: 1.09;
  object-fit: auto;
  object-position: center;
  width: 90px;
}

.brand-name {
  flex-grow: 1;
  font-weight: 600;
  color: #565656;
  font-size: 32px;
  text-decoration: none;
}

.path {
  max-width: 1440px;
  padding: 40px 80px;
  margin: 0;
}

.path a {
  display: inline-block;
  font-size: 18px;
  font-weight: 400;
  text-decoration: none;
  color: #565656;
  transition: transform 0.3s ease;
}

.path a:hover {
  transform: translateY(-2px);
}

.title-column {
  font: 800 26px/110% "Open Sans", sans-serif;
  color: #6297ff;
  text-align: center;
  margin-bottom: 20px;
}

.separator {
  margin: 0 5px;
  text-decoration: none;
  color: #565656;
}

.service_section,
.price_section {
  padding: 20px 80px;
  padding-bottom: 80px;
  
}

.service_section h2,
.price_section h2 {
  font: 800 42px/110% "Open Sans", sans-serif;
  color: #565656;
}

.service_section {
  display: flex;
  gap: 20px; /* Adjust the gap as needed */
}

.service-description {
  display: flex;
  flex: 1;
  gap: 80px;
}

.text {
  flex: 1;
  font: 400 18px/25px Open Sans, sans-serif;
}

.text h2 {
  margin-bottom: 60px; /* Adjust as needed */
  margin-top: 0px;
}

.image {
  display: flex;
  justify-content: flex-end; /* Align image to the right */
  align-items: flex-start; /* Align image to the top */
}

.service-description img {
  max-height: 400px; /* Ensure the image does not exceed the height of the text */
  max-width: 400px; /* Ensure the image does not exceed its container */
  border-radius: 20px;
}


/* Prices */

.services-container {
  padding-top: 20px;
  display: flex;
  justify-content: space-between;
}

.services-column {
  flex: 1;
}

.gap {
  width: 80px; /* Adjust the width of the gap between the columns */
}

.service {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 10px;
  gap: 40px;
}

.name {
  margin-right: 40px; /* Adjust the gap between name and price */
  margin-top: 5px;
  max-width: 45vw;
}

.price {
  background-color: #f0f0f0;
  border-radius: 20px;
  padding: 5px 10px;
}

.divider {
  border-bottom: 1px solid #ccc;
  margin-bottom: 10px;
}

.section-2 {
  padding-bottom: 80px;
}

/* Footer styles */

.footer {
  background-color: #7c99d2;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 60px 60px 20px 60px;
  flex-direction: column;
}

.footer-content {
  display: flex;
  margin-top: 12px;
  width: 100%;
  max-width: 1290px;
  flex-direction: column;
  color: var(--Main-color, #f4f4f4);
  font: 400 20px/36px Open Sans, sans-serif;
  font-size: 18px;
}

.footer-top {
  display: flex;
  gap: 140px;
}

.footer-logo-column,
.footer-info-column {
  display: flex;
  flex-direction: column;
  line-height: normal;
  width: 33.33%;
  margin-left: 0;
}

.footer-logo {
  display: flex;
  flex-direction: column;
  font-size: 32px;
  color: #f4f4f4;
  font-weight: 700;
  white-space: nowrap;
  line-height: 110%;
  align-items: center;
  justify-content: center;
}

.footer-contact-heading {
  font-weight: 700;
  font-size: 24px;
}

.footer-logo-image {
  aspect-ratio: 1.08;
  object-fit: auto;
  object-position: center;
  width: 192px;
  align-self: center;
}

.footer-logo-text {
  font-family: Open Sans, sans-serif;
  margin-top: 8px;
}

.footer-info-content {
  margin-top: 8px;
  flex-grow: 1;
  display: flex;
  flex-direction: row;
  text-decoration: none;
  color: #f4f4f4;
}

.footer-info-row a {
  text-decoration: none;
  color: #f4f4f4;
}

.footer-info-row {
  display: flex;
  gap: 20px;
  flex-direction: column;
}

.footer-divider {
  border-top: 1px solid #fff;
  margin-top: 40px;
  margin-bottom: 10px;
  width: 100%;
  max-width: 1290px;
}

.footer-content-bottom {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 20px 0;
  gap: 50vw;
  font-family: Open Sans, sans-serif;
  font-size: 14px;
}

.footer-copyright {
  color: #fff;
}

.footer-social-icons {
  display: flex;
  align-items: center;
  gap: 10px;
}

.footer-social-icon {
  width: 25px;
  height: 25px;
  transition: transform 0.3s ease;
}

.footer-social-icon:hover {
  transform: translateY(-5px);
}

@media screen and (max-width: 1600px) {
}

@media screen and (max-width: 1300px) {
}

@media screen and (max-width: 1200px) {
  .name,
  .price {
    font-size: 14px;
  }
}

@media screen and (max-width: 1100px) {
  .price {
    font-size: 12px;
  }
}

@media screen and (max-width: 1000px) {
  .brand-name {
    flex-grow: 1;
    color: #565656;
    font-size: 24px;
  }

  .navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
    background-color: #ffffff;
    font-family: Open Sans, sans-serif;
    font-size: 16px;
    flex-direction: column;
  }

  .service-description {
    display: flex;
    flex: 1;
    gap: 60px;
  }

  .text {
    flex: 1;
    font-size: 16px;
  }
  
  .text h2 {
    margin-bottom: 40px; /* Adjust as needed */
  }
  
  .image {
    display: flex;
    justify-content: flex-end; /* Align image to the right */
    align-items: flex-start; /* Align image to the top */
  }
  
  .service-description img {
    max-height: 300px; /* Ensure the image does not exceed the height of the text */
    max-width: 300px; /* Ensure the image does not exceed its container */
    border-radius: 20px;
  }

  .services-container {
    flex-direction: column;
    gap: 30px;
  }

  .name,
  .price {
    font-size: 16px;
  }
}

@media screen and (max-width: 850px) {
  .footer-content {
    font-size: 16px;
  }

  .footer-top {
    gap: 80px;
  }

  .footer-logo {
    display: flex;
    flex-direction: column;
    font-size: 24px;
  }

  .footer-contact-heading {
    font-weight: 700;
    font-size: 18px;
  }

  .footer-logo-image {
    width: 160px;
  }

  .footer-content-bottom {
    gap: 30vw;
  }
}

@media screen and (max-width: 768px) {

  .price_section h2,
  .service_section h2 {
    font-size:36px;
  }

  .service-description {
    display: flex;
    flex: 1;
    gap: 40px;
  }

  .text {
    flex: 1;
    font-size: 14px;
  }

  .navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
    background-color: #ffffff;
    font-family: Open Sans, sans-serif;
    font-size: 14px;
    flex-direction: column;
  }

  .navbar * {
    font-size: 14px;
  }

  .brand-name {
    font-size: 24px;
  }

  .text h2 {
    margin-bottom: 20px; 
    margin-top: 0px;
  }

  .footer-content {
    font-size: 14px;
  }

  .footer-content-bottom {
    gap: 20vw;
  }

  .service-description img {
    max-height: 250px; /* Ensure the image does not exceed the height of the text */
    max-width: 250px; /* Ensure the image does not exceed its container */
    border-radius: 20px;
  }
}

@media screen and (max-width: 600px) {
  .navbar {
    padding: 20px;
  }

  .navbar-links,
  .navbar-links a {
    display: flex;
    align-items: center;
    gap: 10px;
    font: 14px/150% #000 600;
    font-size: 14px;
  }

  .price_section h2,
  .service_section h2 {
    font-size:24px;
  }

  .service_section {
    padding: 20px 40px;
  }

  .price_section {
    padding: 20px 40px 30px 40px;
  }

  .title-column {
    font: 800 20px/110% "Open Sans", sans-serif;
    margin-bottom: 20px;
  }

  .service-description {
    display: flex;
    flex: 1;
    gap: 30px;
    flex-direction: column;
  }

  .image {
    display: flex;
    justify-content: center;
    align-items: flex-start; /* Align image to the top */
  }
  

  .services-container {
    padding-top: 10px;
  }

  .service {
    align-items: flex-start;
    gap: 10px;
  }

  .service-description img {
    text-align: center;
    margin: 0;
    max-width: 300px;
    max-height: 300px;
  }
  

  .name,
  .price {
    font-size: 11px;
  }

  .path {
    max-width: 1440px;
    padding: 20px 40px;
    margin: 0;
  }
  
  .path a {
    display: inline-block;
    font-size: 14px;
    font-weight: 400;
    text-decoration: none;
    color: #565656;
    transition: transform 0.3s ease;
  }

  .footer {
    padding: 20px 20px 20px 20px;
  }

  .footer-logo {
    font-size: 16px;
  }
  .footer-logo-image {
    width: 120px;
  }
  .footer-contact-heading{
    font-weight: 700;
    font-size: 12px;
  }

  .footer-content {
    font-size: 10px;
  }
  
  .footer-top {
    gap: 30px;
  }

  .footer-content-bottom {
    padding: 20px 0;
    font-size: 8px;
  }

  .footer-social-icon {
    width: 15px;
    height: 15px;
  }

  .footer-divider{
    margin-top: 20px;
  }


  
}

@media screen and (max-width: 480px) {
  .container {
    overflow-x: hidden;
    margin:0;
  }

  .navbar-links li {
    margin-right: 0px;
  }

  .navbar * {
    font-size: 11px;
    padding: 2px;
  }

  .navbar-links,
  .navbar-links a {
    gap: 3vw;
  }

  .navbar-logo {
    gap: 7px;
  }

  .navbar{
    padding: 5px 5px;
    flex-direction: row;
  }

  .brand-name {
    font-size: 16px;
  }

  .mopsik {
    background-image: none;
  }

  .hero-content {
    padding: 20px 10px;
    background-image: url('images/mopsik_bg.png');
    background-size: cover;
    background-position: center;
  }
  .hero-text {
    max-width: 40vw;
  }
  

  .hero-heading {
    font: 800 30px/110% "Open Sans", sans-serif;
    margin-bottom: 0px;
    margin-top: 0px;
    color:#6d6d6d
  }

  .hero-description {
    font: 300 12px/13px "Open Sans", sans-serif;
    margin-top: 16px;
    margin-bottom: 14px;
    color:#6d6d6d
  }

  .cta-button {
    font: 600 11px/120% "Open Sans", sans-serif;
    text-align: center;
    padding: 5px 7px;
    margin-top: 8px;
  }



  .feature-icon {
    width: 30px;
  }
  
  .feature-title {
    margin-top: 12px;
    margin-bottom: 6px;
    font-size: 13px;
    line-height: 12px;
    font-weight: 600;
    color: #6d6d6d;
  }

  .features-section {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20% 10%;
    padding: 30px 10px 50px 10px;
  }

  .about-heading {
    color: var(--Support-color, #fff);
    font: 800 26px/110% Open Sans, sans-serif;
    padding: 0px 15px;
    margin: 15px 0px 0px 0px;
  }

  .about-content {
    margin-top: 0px;
    background-color: var(--Accent-color, #6297ff);
    border-radius: 0px;
    padding: 20px 20px;
    gap: 20px;
  }

  .about-section {
    background-color: var(--Accent-color, #6297ff);
    padding: 10px 0px;
  }
  
  .about-description {
    font-size: 14px;
    line-height: 22px;
    letter-spacing: 1.4px;
    margin: 0px;
  }

  .services-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 2% 3%;
    margin-bottom:280px;
  }

  .about-image{
    width: 200px;
    height: 292px;
  }

  .services-section{
    padding: 20px 15px;
  }

  .services-heading {
    color: var(--Support-color, #565656);
    font: 800 26px/110% Open Sans, sans-serif;
    margin-top: 10px;
    padding-bottom: 20px;
  }

  .view-other-btn {
    background-color: #007bff;
    color: #fff;
    border-radius: 20px;
    width: 100px;
    height: 30px;
    line-height: 30px;
    margin: 5px auto;
    font-size: 14px;
  }

  .service-cta {
    width: calc(100% - 140px);
  }

  .contact-section {
    padding: 0px;
    border-radius: 0px;
    padding: 40px 15px;
  }

  .contact-container{
    padding: 40px 0px;
  }

  .address-container,
  .parking-container {
  gap: 14px;
  font-size: 16px;
  } 

  .hours-container {
    gap: 40px;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-right: 10px;
    font-size: 16px;
  }

  .map iframe{
    width: 90vw;
    height: 60vw;
  }

  .parking-icon {
    width: 25px;
    height: 25px;
  }

  .map-icon{
    padding-left:3px;
    width: 22px;
    height: 24px;
  }

  .additional-info {
    margin-top: 10px;
    margin-bottom: 20px;
    font-size: 14px;
  }

  .brand-name-contact{
    font-size: 26px;
    margin-bottom: 6px;
  }

  .footer {
    padding: 20px 20px 20px 20px;
  }

  .footer-logo {
    font-size: 12px;
  }
  .footer-logo-image {
    width: 60px;
  }
  .footer-contact-heading{
    font-weight: 700;
    font-size: 12px;
  }

  .footer-content {
    font-size: 10px;
  }
  
  .footer-top {
    gap: 6vw;
  }

  .footer-info-row {
    gap:10px;
  }

  .footer-content-bottom {
    padding: 20px 0;
    font-size: 8px;
  }

  .footer-social-icon {
    width: 15px;
    height: 15px;
  }

  


  .logo {
    width: 50px;
  }

  .navbar-links {
    display: none;
  }

  .navbar-logo {
    margin-right: auto;
  }

  .hamburger-menu {
    display: block; 
    padding: 0px;
    z-index: 1;
  }
  
  #menu__toggle {
    opacity: 0;
    display: none;
  }
  
  #menu__toggle:checked ~ .menu__btn > .menu__line {
    transform: rotate(45deg);
  }
  #menu__toggle:checked ~ .menu__btn > .menu__line::before {
    top: 0;
    transform: rotate(0);
  }
  #menu__toggle:checked ~ .menu__btn > .menu__line::after {
    top: 0;
    transform: rotate(90deg);
  }
  #menu__toggle:checked ~ .menu__box {
    visibility: visible;
    left: 0;
  }
  
  .menu__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 20px;
    width: 40px;
    height: 40px;
    margin: 0px;
    cursor: pointer;
    z-index: 2;
  }
  
  .menu__btn > .menu__line,
  .menu__btn > .menu__line::before,
  .menu__btn > .menu__line::after {
      display: block;
      position: absolute;
      width: 25px;
      height: 2px;
      background-color: #616161;
      transition-duration: .25s;
  }

  .menu__btn > .menu__line::before,
  .menu__btn > .menu__line::after {
      content: '';
      position: absolute;
      width: 25px;
  }

  .menu__btn > .menu__line::before {
    content: '';
    position: absolute;
    width: 25px;
    top: -6px; 
    margin: 0 auto;
  }

  .menu__btn > .menu__line::after {
    content: '';
    position: absolute;
    width: 25px;
    bottom: -6px; 
    margin: 0 auto;
  }

  .menu__line{
    padding: 0;
  }
  
  .menu__box {
    display: block;
    position: fixed;
    visibility: hidden;
    top: 0;
    right: -100%;
    z-index: 0;
    width: 300px;
    height: 100%;
    font-size: 20px;
    
    margin: 0;
    padding: 80px 0;
  
    list-style: none;
  
    background-color: #ECEFF1;
    box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);
  
    transition-duration: .25s;
    
  }
  
  .lng-burgHome,
  .lng-burgAbout,
  .lng-burgServices,
  .lng-burgContact {
    display: block;
    padding: 12px 24px;
  
    color: #565656;
  
    font-family: Open Sans, sans-serif;
    font-size: 20px;
    font-weight: 600;
    text-decoration: none;
  
    transition-duration: .25s;
  }
  .menu__item:hover {
    background-color: #CFD8DC;
  }

  .language-selector {
    display: block;
    padding: 12px 24px;
  
    color: #333;
  
    font-family: Open Sans, sans-serif;
    font-size: 20px;
    font-weight: 600;
    text-decoration: none;
  
    transition-duration: .25s;
  }

  .language-selector select {
    font-size: 20px;
    background: none;
    padding: 0;
  }

  .name {
    font-size: 12px;
    margin-right: 10px;
    max-width: 45vw;
  }
  
  .price {
    font-size: 12px;
  }


  .price_section {
    padding-bottom: 0px;
    
  }


}

@media screen and (max-width: 320px) {
  .navbar {
    padding: 5px;
  }

  .navbar-links,
  .navbar-links a {
    font-size: 10px;
  }

  .brand-name {
    font-size: 18px;
  }

  .services-container {
    padding-top: 2px;
  }

  .name,
  .price {
    font-size: 8px;
  }

  .footer-content {
    font-size: 8px;
  }

  .footer-content-bottom {
    gap: 2vw;
  }
}
